## samba 4.23.4%2Bdfsg

=== debian/changelog ===
samba (2:4.23.4+dfsg-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for Python 3.14 as the default.

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Mon, 26 Jan 2026 16:22:49 -0300

samba (2:4.23.4+dfsg-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2126006). Remaining changes:
    - Ubuntu i386 binary compatibility:
      + d/control: enable the liburing vfs module, except on i386 where
        liburing is not available
      + python3-samba depends on python3-cryptography, which Ubuntu doesn't
        build on i386 (LP #2099895):
        - d/control: don't recommend python3-samba on i386
        - d/rules: don't build python3-samba on ubuntu i386
    - d/t/control, d/t/util,d/t/samba-ad-dc-provisioning-internal-dns:
      samba AD DC provisioning and domain join tests with internal DNS
      (LP #1977746, LP #2011745)
    - d/control: make samba-vfs-modules-extra a transitional package.
      The glusterfs vfs module (the only vfs module shipped in it
      previously) is now in bin:samba-vfs-glusterfs. Can be dropped
      after 26.04.
    - d/control: have the (now transitional) samba-vfs-modules package
      depend on samba-vfs-ceph, so that upgrades retain the ceph vfs
      module
    - d/control: samba-vfs-modules and samba-vfs-modules-extra, now
      transitional packages, should only depend on the new samba-vfs-ceph and
      samba-vfs-glusterfs packages on the architectures where those two
      packages are built (LP #2076682)
    - d/control: samba-vfs-modules i386 adjustments:
      + samba-vfs-modules-extra was not built before for 32bit architectures,
        adjust Architectures line
      + samba-vfs-modules: this one was build for 32bit architectures before,
        so we need the conditional Depends for ceph
    - d/p/fix-motd-gpo-list-empty.patch: fix crash when listing an empty MOTD
      GPO
    - d/t/samba-ad-dc-provisioning-internal-dns: add MOTD GPO test
    - d/t/{control,smbclient-macro-expansion}: add test for macro expansion
      (related to LP #2120811)
  * Dropped:
    - SECURITY UPDATE: uninitialized memory disclosure via vfs_streams_xattr
      + debian/patches/CVE-2025-9640-1.patch: add torture test for inserting
        hole in stream in source3/selftest/tests.py, source4/torture/*.
      + debian/patches/CVE-2025-9640-2.patch: fix unitialized write in
        source3/modules/vfs_streams_xattr.c.
      + CVE-2025-9640
      [Fixed upstream in 4.23.2]
    - SECURITY UPDATE: command injection via WINS server hook script
      + debian/patches/CVE-2025-10230-1.patch: check that wins hook sanitizes
        names in python/samba/tests/usage.py, selftest/*, source4/torture/*,
        testprogs/blackbox/wins_hook_test.
      + debian/patches/CVE-2025-10230-2.patch: restrict names fed to shell in
        source4/nbt_server/wins/wins_hook.c.
      + CVE-2025-10230
      [Fixed upstream in 4.23.2]
    - d/control: adjust breaks/replaces for file move that Debian did in
      4.16.6+dfsg-5, and Ubuntu only did in 4.17.7+dfsg-1ubuntu1, to avoid
      file conflict in a dist-upgrade from earlier Ubuntu releases, like
      Kinetic (LP #2024663)
      [Only needed for upgrades from jammy to noble]
    - d/control: don't have bin:samba recommend bin:samba-ad-dc (LP #2101838)
      [In 2:4.23.0+dfsg-1]
  * Added:
    - d/control, d/samba-libs.install: remove the pkg.samba.builtin-ngtcp2
      build profile and the build dependency on libngtcp2 because it's in
      universe, and switch to the builtin version shipped with samba.
    - d/t/control: certain tests don't work on i386 in Ubuntu

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Fri, 09 Jan 2026 16:59:09 -0300

samba (2:4.23.4+dfsg-1) unstable; urgency=medium

  * new upstream stable/bugfix release:
   - https://bugzilla.samba.org/show_bug.cgi?id=15809:
     samba-bgqd: rework man page
   - https://bugzilla.samba.org/show_bug.cgi?id=15897:
     Assert failed: (dirfd != -1) || (smb_fname->base_name[0] == '/')
     in vfswrap_openat
   - https://bugzilla.samba.org/show_bug.cgi?id=15926:
     Samba 4.22 breaks Time Machine
   - https://bugzilla.samba.org/show_bug.cgi?id=15936:
     samba-bgqd can't find [printers] share
   - https://bugzilla.samba.org/show_bug.cgi?id=15947:
     mdssvc doesn't support $time.iso dates before 1970
   - https://bugzilla.samba.org/show_bug.cgi?id=15950:
     ctdb can crash with inconsistent cluster lock configuration
   - https://bugzilla.samba.org/show_bug.cgi?id=15955:
     Winbind can hang forever in gssapi if there are network issues
   - https://bugzilla.samba.org/show_bug.cgi?id=15961:
     libldb requires linking libreplace on Linux
   - https://bugzilla.samba.org/show_bug.cgi?id=15963:
  * d/patches: remove revert-ldb-use-hexchars_upper-from-replace.h.patch
    (applied upstream)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 12 Dec 2025 23:10:50 +0300

samba (2:4.22.3+dfsg-4ubuntu4) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Dec 2025 14:37:35 +0100

samba (2:4.22.3+dfsg-4ubuntu3) resolute; urgency=medium

  * No-change rebuild to fix amd64v3 publishing issue.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 12 Nov 2025 08:18:52 -0500
