=== debian/tests/control ===
Tests: cifs-share-access
Depends: samba, coreutils, systemd, cifs-utils, passwd
Restrictions: needs-root, allow-stderr, isolation-machine
Architecture: !i386

Tests: cifs-share-access-uring
Depends: samba, coreutils, systemd, cifs-utils, passwd
Restrictions: needs-root, allow-stderr, isolation-machine, skippable
Architecture: !i386

Tests: python-smoke
Depends: python3-samba
Architecture: !i386

Tests: smbclient-anonymous-share-list
Depends: samba, smbclient
Restrictions: allow-stderr, isolation-container
Architecture: !i386

Tests: smbclient-authenticated-share-list
Depends: samba, smbclient, passwd
Restrictions: needs-root, allow-stderr, isolation-container
Architecture: !i386

Tests: smbclient-share-access
Depends: samba, smbclient, coreutils, systemd, passwd
Restrictions: needs-root, allow-stderr, isolation-container
Architecture: !i386

Tests: smbclient-share-access-uring
Depends: samba, smbclient, coreutils, systemd, passwd
Restrictions: needs-root, allow-stderr, isolation-container, skippable
Architecture: !i386

Tests: reinstall-samba-common-bin
Depends: samba-common, samba-common-bin
Restrictions: needs-root, needs-reboot, isolation-machine, allow-stderr

Tests: smbclient-macro-expansion
Depends: samba, smbclient
Restrictions: needs-root, allow-stderr, isolation-container
Architecture: !i386

Tests: samba-ad-dc-provisioning-internal-dns
Depends: samba-ad-dc, samba-ad-provision, smbclient, krb5-user, bind9-dnsutils, lxd | snapd, lsb-release, dctrl-tools, dpkg-dev
Restrictions: needs-root, isolation-machine, allow-stderr, breaks-testbed
Architecture: !i386
