## samba 4.23.5+dfsg

=== debian/changelog ===
samba (2:4.23.5+dfsg-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for gpgme1.0 2.0

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Thu, 19 Feb 2026 18:57:14 +0000

samba (2:4.23.5+dfsg-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2139074). Remaining changes:
    - Ubuntu i386 binary compatibility:
      + d/control: enable the liburing vfs module, except on i386 where
        liburing is not available
      + python3-samba depends on python3-cryptography, which Ubuntu doesn't
        build on i386 (LP #2099895):
        - d/control: don't recommend python3-samba on i386
        - d/rules: don't build python3-samba on ubuntu i386
    - d/t/control, d/t/util,d/t/samba-ad-dc-provisioning-internal-dns:
      samba AD DC provisioning and domain join tests with internal DNS
      (LP #1977746, LP #2011745)
    - d/control: make samba-vfs-modules-extra a transitional package.
      The glusterfs vfs module (the only vfs module shipped in it
      previously) is now in bin:samba-vfs-glusterfs. Can be dropped
      after 26.04.
    - d/control: have the (now transitional) samba-vfs-modules package
      depend on samba-vfs-ceph, so that upgrades retain the ceph vfs
      module
    - d/control: samba-vfs-modules and samba-vfs-modules-extra, now
      transitional packages, should only depend on the new samba-vfs-ceph and
      samba-vfs-glusterfs packages on the architectures where those two
      packages are built (LP #2076682)
    - d/control: samba-vfs-modules i386 adjustments:
      + samba-vfs-modules-extra was not built before for 32bit architectures,
        adjust Architectures line
      + samba-vfs-modules: this one was build for 32bit architectures before,
        so we need the conditional Depends for ceph
    - d/p/fix-motd-gpo-list-empty.patch: fix crash when listing an empty MOTD
      GPO
    - d/t/samba-ad-dc-provisioning-internal-dns: add MOTD GPO test
    - d/control, d/samba-libs.install: remove the pkg.samba.builtin-ngtcp2
      build profile and the build dependency on libngtcp2 because it's in
      universe, and switch to the builtin version shipped with samba.
    - d/t/control: certain tests don't work on i386 in Ubuntu
  * Dropped:
    - d/t/{control,smbclient-macro-expansion}: add test for macro expansion
      (related to LP #2120811)
      [In 2:4.23.5+dfsg-1]

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Wed, 11 Feb 2026 11:42:28 -0300

samba (2:4.23.5+dfsg-1) unstable; urgency=medium

  [ Michael Tokarev ]
  * new upstream bugfix release
  * use-explicit_bzero-to-zero-memory.diff: use explicit_bzero()
    to explicitly zero memory everywhere, not just for ZERO_STRUCT
  * heimdal-kdc-fix-memset_s-calls-1296.patch -
    fix some wrong memset_s usages
  * d/*.lintian-overrides: remove library-not-linked-against-libc tags
    (#896012 is now fixed)
  * inline-getprogname.diff, inline-openat2.diff - reduce libreplace usage
  * d/patches/series: remove old commented-out entry
  * add-support-for-bind-9.20.patch: remove, applied upstream

  [ Andreas Hasenack ]
  * Add DEP8 test for macro expansion in config file

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 24 Jan 2026 08:55:25 +0300
