## samba 4.23.6+dfsg

=== debian/changelog ===
samba (2:4.23.6+dfsg-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sat, 28 Feb 2026 19:03:29 +0200

samba (2:4.23.6+dfsg-1) unstable; urgency=medium

  * new upstream stable/bugfix release.
  * d/clean: also remove python/samba/provision/kerberos_implementation.py
    (Closes: #1048754)
  * check-for-openat2.patch: detect openat2 in libc (Closes: #1128849)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 27 Feb 2026 13:11:48 +0300
